> For the complete documentation index, see [llms.txt](https://docs-en.dydu.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-en.dydu.ai/developers/api-reference/authentication.md).

# Authentication

Several web services of the API provided by the dydu solution require authentication ("Authorization" field of the API).

Authentication is of type: Basic Authentication.

It is therefore necessary to build a token and use it in the headers of your requests.

To build the token, you must:

1. Associate your login, the character ":" and your password (paying attention to the case);
2. Encode this string in base64;
3. Add Basic.

Example:

1. <demo@dydu.ai>:MyPassword
2. ZGVtb0Bkb3lvdWRyZWFtdXAuY29tOk1vbk1vdERlUGFzc2U=
3. Basic ZGVtb0Bkb3lvdWRyZWFtdXAuY29tOk1vbk1vdERlUGFzc2U=

You will be able to generate your token (**Authorization**) from https\://**urlbackoffice**.doyoudreamup.com/servlet/authentication.html

Important: remember to replace **urlbackoffice** with the URL of your platform.

Enter your login and password and click **Generate**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-en.dydu.ai/developers/api-reference/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
